Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle
Class Main

    java.lang.Object
      org.gradle.Main

    public class Main

extends java.lang.Object

Nested Class Summary
`static interface` | `Main.BuildCompleter`

Field Summary
`static java.lang.String` | `DEFAULT_GRADLE_USER_HOME`
`static java.lang.String` | `DEFAULT_PLUGIN_PROPERTIES`
`static java.lang.String` | `GRADLE_HOME_PROPERTY_KEY`
`static java.lang.String` | `IMPORTS_FILE_NAME`

Constructor Summary
`Main(java.lang.String[] args)`

Method Summary
`void` | `execute()`
`static void` | `main(java.lang.String[] args)`
`void` | `setParameterConverter(CommandLine2StartParameterConverter parameterConverter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GRADLE_HOME_PROPERTY_KEY

    public static final java.lang.String GRADLE_HOME_PROPERTY_KEY

See Also:
  Constant Field Values

### DEFAULT_GRADLE_USER_HOME

    public static final java.lang.String DEFAULT_GRADLE_USER_HOME

### DEFAULT_PLUGIN_PROPERTIES

    public static final java.lang.String DEFAULT_PLUGIN_PROPERTIES

See Also:
  Constant Field Values

### IMPORTS_FILE_NAME

    public static final java.lang.String IMPORTS_FILE_NAME

See Also:
  Constant Field Values

Constructor Detail

### Main

    public Main(java.lang.String[] args)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### setParameterConverter

    public void setParameterConverter(CommandLine2StartParameterConverter parameterConverter)

### execute

    public void execute()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD